## brutalchess 0.5.2%2Bdfsg

=== debian/control ===
Source: brutalchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bddebian@comcast.net>, Vincent Legout <vlegout@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 libsdl-image1.2-dev, libfreetype6-dev, libxmu-dev, libxi-dev, libgl1-mesa-dev,
 sharutils
Standards-Version: 3.9.5
Homepage: http://brutalchess.sf.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/brutalchess/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/brutalchess/

Package: brutalchess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu
Description: 3D chess game with reflection of the chessmen
 Brutal Chess features full 3D graphics, an advanced particle engine, and
 several different levels of intelligent AI, inspired by the once popular
 "Battle Chess" released by Interplay circa 1988.
