=== debian/control ===
Source: brutalchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>,
 Vincent Legout <vlegout@debian.org>
Build-Depends:
 debhelper (>= 11),
 libfreetype6-dev,
 libgl1-mesa-dev,
 libsdl-image1.2-dev,
 libxi-dev,
 libxmu-dev,
 pkg-config,
 sharutils
Standards-Version: 4.2.1
Homepage: http://brutalchess.sf.net/
Vcs-Git: https://salsa.debian.org/games-team/brutalchess.git
Vcs-Browser: https://salsa.debian.org/games-team/brutalchess

Package: brutalchess
Architecture: any
Depends:
 fonts-dejavu,
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D chess game with reflection of the chessmen
 Brutal Chess features full 3D graphics, an advanced particle engine, and
 several different levels of intelligent AI, inspired by the once popular
 "Battle Chess" released by Interplay circa 1988.
