=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://sf.net/brutalchess/brutalchess-alpha-([\d.]+)-src.tar.gz
